Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 10-09-2015 13:13:46

Samozarre
Membre
Distrib. : Debian Testing
Noyau : Linux 4.1.0-2-amd64
(G)UI : Cinnamon / Mate
Inscription : 10-09-2015

Soucis après installation d'une carte NVIDIA Geforce 920M

Bonjour,

je viens d'acheter un ASUS R455LJ avec une carte NVIDIA 920M utilisant la technologie Optimus.

Après avoir galéré quelques jours de réinstall en réinstall, et naviguer de forum en forums, j'en ai déduit que cette carte était assez récentes et j'ai fait une install toute propre en version testing pour disposer des derniers pilotes (après avoir vu un problème similaires sur ce forum). J'ai ensuite installer bumblebee-nividia comme indiquer sur la page https://www.isalo.org/wiki.debian-fr/NV … _Bumblebee.

Mais j'ai l'impression qu'il y a un problème, par exemple, sous Cinnamon, impossible d'activer les coins actifs et lorsque je fais :

optirun nvidia-settings -c :8



j'obtiens :

libGL error: No matching fbConfigs or visuals found
libGL error: failed to load driver: swrast



Je sais, j'ai vu, que les galères avec Optimus sont récurrentes sur le forum, mais si quelqu'un pouvait me filer un coup de main, ce serait bien cool. Je ne sais plus comment me sortir de tout ça.

Merci d'avance.

Hors ligne

#2 10-09-2015 16:42:27

Samozarre
Membre
Distrib. : Debian Testing
Noyau : Linux 4.1.0-2-amd64
(G)UI : Cinnamon / Mate
Inscription : 10-09-2015

Re : Soucis après installation d'une carte NVIDIA Geforce 920M

Petite info supplémentaire,

lorsque je tape ceci dans un terminal :

grep -B2 'Module class: X.Org Video Driver' /var/log/Xorg.0.log



J'obtiens ceci :

[  1387.105] (II) Module intel: vendor="X.Org Foundation"
[  1387.105]  compiled for 1.17.2, module version = 2.99.917
[  1387.105]  Module class: X.Org Video Driver
--
[  1387.105] (II) Module modesetting: vendor="X.Org Foundation"
[  1387.105]  compiled for 1.17.2, module version = 1.17.2
[  1387.105]  Module class: X.Org Video Driver
--
[  1387.105] (II) Module fbdev: vendor="X.Org Foundation"
[  1387.105]  compiled for 1.17.1, module version = 0.4.4
[  1387.105]  Module class: X.Org Video Driver
--
[  1387.105] (II) Module vesa: vendor="X.Org Foundation"
[  1387.105]  compiled for 1.17.1, module version = 2.3.3
[  1387.105]  Module class: X.Org Video Driver



J'ai l'impression que le pilote nvidia n'est pas identifié par ma carte graphique... je me trompe ou c'est bien ça .

Hors ligne

#3 19-09-2015 15:36:54

Samozarre
Membre
Distrib. : Debian Testing
Noyau : Linux 4.1.0-2-amd64
(G)UI : Cinnamon / Mate
Inscription : 10-09-2015

Re : Soucis après installation d'une carte NVIDIA Geforce 920M

Bonjour,

il n'y a personne pour me filer un petit coup de main sur cette histoire de carte nvidia ?

Hors ligne

#4 19-09-2015 15:53:14

robert2a
Membre
Lieu : France
Distrib. : Stretch
Noyau : Linux 4.8.0-1-amd64
(G)UI : Mate 1.16.1
Inscription : 15-11-2014

Re : Soucis après installation d'une carte NVIDIA Geforce 920M

non désolé je peu pas , c 'est un portable ta machine ?
je regarde tes posts et les infos que tu donne

ps: oui ta carte nvidia n est pas precisé dans le retour de ta commande. (enfin c est les driver actif pas le materiel )

un retour de lspci peut etre pourrait nous aider et un nvidia-detect (a installer peut etre )
tu doit avoir "contrib non-free" dans ton sources.list deja sinon le modifier

apt-get update


apt-get install nvidia-detect


lspci


nvidia_detect



il y a des gens qui ont l experience pour ce souci qui seront surement mieux placé que moi pour te conseiller.

ici tu a le tuto nvidia et des posts avec parfois de bonnes idée wink  => https://debian-facile.org/viewtopic.php?id=1755

tu a un tuto aussi pour ta machine (portable avec intel et nvidia et optimus ).

tu n a pas testé le driver du site nvidia en .run ?
le wiki optimus => https://debian-facile.org/viewtopic.php?id=4924

le tuto devrait t aider , le probleme c est que meme "sid" risque de ne pas gerer ta carte nvidia.

cette commande devrait etre utile , elle doit te donner la liste des cartes géré par ton driver.

Voir ensuite les cartes supportées par chacune des versions, avec apt-cache)) :


apt-cache show xserver-xorg-video-nvidia
 


il faut que tu est ce driver installé , soit sur testing ou sid le 340.76.5 (sur jessie le 340.65 )

une des raisons qui m empeche d acheter un portable tongue wink , le "mode batterie" roll

ps: voila le retour de la commande pour une stretch/sid sur un pc fixe avec une GTX770 (mon driver est le 340.75 et il me conseille le 340.76 mais qui est un legacy donc n évolura plus )
si ta carte n est pas reconnu tu aura un message negatif et un lien wink
commande en console


apt-cache show xserver-xorg-video-nvidia
 


retour de la commande


Package: xserver-xorg-video-nvidia
Source: nvidia-graphics-drivers
Version: 340.76-5
Installed-Size: 20447
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Architecture: amd64
Provides: xorg-driver-video, xserver-xorg-video-nvidia-any
Depends: libgl1-nvidia-glx (= 340.76-5), nvidia-alternative (= 340.76-5), nvidia-support (>= 20120630), xorg-video-abi-19 | xorg-video-abi-18 | xorg-video-abi-15 | xorg-video-abi-14 | xorg-video-abi-13 | xorg-video-abi-12 | xorg-video-abi-11 | xorg-video-abi-10 | xorg-video-abi-8 | xorg-video-abi-6.0, xserver-xorg-core (<< 2:1.17.99), libc6 (>= 2.2.5), debconf (>= 0.5) | debconf-2.0
Pre-Depends: nvidia-installer-cleanup
Recommends: nvidia-driver (>= 340.76), nvidia-vdpau-driver (>= 340.76), nvidia-kernel-dkms (= 340.76-5) | nvidia-kernel-340.76, nvidia-settings (>= 340)
Suggests: nvidia-kernel-dkms (>= 340.76) | nvidia-kernel-source (>= 340.76)
Description-en: NVIDIA binary Xorg driver
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 Please see the nvidia-kernel-dkms or
 nvidia-kernel-source packages
 for building the kernel module required by this package.
 This will provide nvidia-kernel-340.76.
 .
 This version only supports GeForce 8xxx and higher of the Geforce GPUs
 plus corresponding Quadros and nforce.  Look at the legacy packages
 for older cards.
 .
 See /usr/share/doc/nvidia-driver/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.
Description-md5: 4ec434d900b8025c7d41fe11d2aceba9
Homepage: http://www.nvidia.com
Section: non-free/x11
Priority: optional
Filename: pool/non-free/n/nvidia-graphics-drivers/xserver-xorg-video-nvidia_340.76-5_amd64.deb
Size: 2615646
MD5sum: c43b239cb6b4bfa0e47d66606353339d
SHA1: ed8b9e305bb7667b6e5d764d489c790fecac8762
SHA256: fa606eed3f12738a89f878ffc98a657a8d7324fa9156ffd28797515c3e3b1900
 


voir dans /usr/share/doc/nvidia-driver/README.txt.gz
en fouillant dans le readme.txt du driver j ai trouvé ceci :
la plus grosse carte reconnu => GeForce GTX 880M                      0x1198             D  (serie portable => M )
je sais pas si nvidia fourni quelque chose en linux pour ce probleme

Dernière modification par robert2a (19-09-2015 16:53:01)

Hors ligne

Pied de page des forums